> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addCompanyBenefits

> 
The `addCompanyBenefits` API adds benefit plans at the company level for employee enrollment.

### What it does:

- Creates company-wide benefit plans that employees can enroll in
- Sets up benefit types and effective dates for the company
- Establishes the foundation for employee benefit enrollment

### Supported Benefits:

- Medical
- Dental
- Vision

### Notes:

- Company benefits must be added before employees can enroll using `addEmployeeBenefits`



## OpenAPI

````yaml post /benefits/addCompanyBenefits
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /benefits/addCompanyBenefits:
    post:
      tags: []
      summary: addCompanyBenefits
      description: >-

        The `addCompanyBenefits` API adds benefit plans at the company level for
        employee enrollment.


        ### What it does:


        - Creates company-wide benefit plans that employees can enroll in

        - Sets up benefit types and effective dates for the company

        - Establishes the foundation for employee benefit enrollment


        ### Supported Benefits:


        - Medical

        - Dental

        - Vision


        ### Notes:


        - Company benefits must be added before employees can enroll using
        `addEmployeeBenefits`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addUserBankAccount
                benefitCompanyElection:
                  type: object
                  properties:
                    companyId:
                      type: string
                    benefitType:
                      type: string
                    effectiveMonth:
                      type: string
                  required:
                    - companyId
                    - benefitType
                    - effectiveMonth
              required:
                - method
                - benefitCompanyElection
            example:
              method: addCompanyBenefits
              benefitCompanyElection:
                companyId: 0BD1DCDE-64CF-440F-A552-9C4AA356BAAF
                benefitType: Medical
                effectiveMonth: March 2025
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Benefits:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                      benefitType:
                        type: string
                    required:
                      - status
                      - benefitType
                    x--orders:
                      - CompanyFundingSourceEntityID
                      - Status
                      - Message
                required:
                  - Benefits
                x--orders:
                  - CompanyFundingSourceEntity
              example:
                Benefits:
                  status: Ready
                  message: The Benefits for Medical has been saved successfully.
                  benefitType: Medical
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````